Page MenuHomePhabricator

Unable to reindex TTMServer
Closed, ResolvedPublic

Description

31484   5.57  25.2M  Forked thread 492 to handle page-Brochuras/Introduction to free licenses
[18c6922da641a87dfb0e653b] [no req]   DBAccessError from line 816 of /srv/mediawiki/php-1.28.0-wmf.4/includes/db/loadbalancer/LoadBalancer.php: Mediawiki tried to access the database via wfGetDB(). This is not allowed, because database access has been disabled.
Backtrace:
#0 /srv/mediawiki/php-1.28.0-wmf.4/includes/db/loadbalancer/LoadBalancer.php(688): LoadBalancer->reallyOpenConnection(array, boolean)
#1 /srv/mediawiki/php-1.28.0-wmf.4/includes/db/loadbalancer/LoadBalancer.php(566): LoadBalancer->openConnection(integer, boolean)
#2 /srv/mediawiki/php-1.28.0-wmf.4/includes/GlobalFunctions.php(3158): LoadBalancer->getConnection(integer, array, boolean)
#3 /srv/mediawiki/php-1.28.0-wmf.4/includes/cache/LinkCache.php(248): wfGetDB(integer)
#4 /srv/mediawiki/php-1.28.0-wmf.4/includes/Title.php(928): LinkCache->addLinkObj(Title)
#5 /srv/mediawiki/php-1.28.0-wmf.4/includes/content/ContentHandler.php(288): Title->getContentModel()
#6 /srv/mediawiki/php-1.28.0-wmf.4/includes/Title.php(4645): ContentHandler::getForTitle(Title)
#7 /srv/mediawiki/php-1.28.0-wmf.4/extensions/Translate/messagegroups/WikiPageMessageGroup.php(32): Title->getPageLanguage()
#8 /srv/mediawiki/php-1.28.0-wmf.4/extensions/Translate/scripts/ttmserver-export.php(155): WikiPageMessageGroup->getSourceLanguage()
#9 /srv/mediawiki/php-1.28.0-wmf.4/extensions/Translate/scripts/ttmserver-export.php(104): TTMServerBootstrap->exportGroup(WikiPageMessageGroup, array)
#10 /srv/mediawiki/php-1.28.0-wmf.4/maintenance/doMaintenance.php(103): TTMServerBootstrap->execute()
#11 /srv/mediawiki/php-1.28.0-wmf.4/extensions/Translate/scripts/ttmserver-export.php(221): require_once(string)
#12 /srv/mediawiki/mu

I think this is because the semantics of LBFactory::destroyInstance() were changed in incompatible way in https://gerrit.wikimedia.org/r/#/c/286314.

Details

Related Gerrit Patches:
mediawiki/extensions/Translate : masterUse index health status instead of active shard count
mediawiki/extensions/Translate : masterFix ttmserver-export for MediaWiki 1.28

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 3 2016, 7:55 AM

Change 292530 had a related patch set uploaded (by Nikerabbit):
Fix ttmserver-export for MediaWiki 1.28

https://gerrit.wikimedia.org/r/292530

Change 292539 had a related patch set uploaded (by DCausse):
Use index health status instead of active shard count

https://gerrit.wikimedia.org/r/292539

Change 292530 merged by jenkins-bot:
Fix ttmserver-export for MediaWiki 1.28

https://gerrit.wikimedia.org/r/292530

Nikerabbit triaged this task as High priority.Jun 6 2016, 12:43 PM

Change 292539 merged by jenkins-bot:
Use index health status instead of active shard count

https://gerrit.wikimedia.org/r/292539

Nikerabbit moved this task from QA to Done on the Language-Q4-2016-Sprint 4 board.Jun 13 2016, 6:21 AM
Arrbee closed this task as Resolved.Jun 14 2016, 7:12 AM

Both WMF production and translatewiki.net were re-indexed so this definitely works :)